Doomsday Engine - Bug #2461

Stop building at 35% on Pi4
2021-07-06 17:05 - ExarkunlV

Status: Closed Start date: 2021-07-06
Priority: Normal % Done: 0%
Assignee: Deng Team

Category:

Target version:

Description

Debian - Buster
so im messing with seeing if i can get this to run on my Pi4.
i have all the correct depnds installed, (that i can find)

is seems to start working but then stops at 35%. but i dont see any thing telling me what the error is.
[ 35%)] Linking CXX shared library libdeng_doomsday.so

[ 35%] Built target libdoomsday

make: *** [Makefile:152: all] Error 2

/home/pi/RetroPie-Setup

if you can point me to where it might tell me more i will gladly post all the info i can find.

if not i dont want to waste anyones time. messing with something that will not work from the start

History

#1 - 2021-07-06 19:48 - skyjake

ExarkunlV wrote:
is seems to start working but then stops at 35%. but i dont see any thing telling me what the error is.

[ 835%] Linking CXX shared library libdeng_doomsday.so
[ 35%)] Built target libdoomsday
make: *** [Makefile:152: all] Error 2

Based on that alone it's impossible to say what could be wrong. The actual error message must've been shown earlier on. Maybe you could try piping
the output from the compilation to a file?

make > output.txt 2> errors.txt

Then let's see what gets printed into those two files.

#2 - 2021-07-07 20:33 - ExarkunlV

thank you for that. here is what i got

ERROR.txt

In file included from
/home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/sdk/libgui/include/de/gui/../graphics/../graphics/glframebuffer.h:32,

from /home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/sdk/libgui/include/de/gui/../graphics/../GLFramebuffer:1,

from /home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/sdk/libgui/include/de/gui/../graphics/gltextureframebuffer.h:25,

from /home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/sdk/libgui/include/de/gui/../GLTextureFramebuffer:1,

from /home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/sdk/libgui/include/de/gui/glwindow.h:24,

from /home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/build/sdk/libgui/libgui_autogen/M4464L.3DZ6/moc_glwindow.cpp:9,
from /home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/build/sdk/libgui/libgui_autogen/mocs_compilation.cpp:2:
/home/pi/RetroPie-Setup/tmp/build/doomsday/doomsday-2.0.3/doomsday/sdk/libgui/include/de/gui/../graphics/../graphics/opengl.h:44:4: error: #error

"OpenGL 2.1 (or newer) headers not found" # error "OpenGL 2.1 (or newer) headers not found"
A

make?: * [sdk/libgui/CMakeFiles/libgui.dir/build.make:115: sdk/libgui/CMakeFiles/libgui.dir/libgui_autogen/mocs_compilation.cpp.o] Error 1
make': [CMakeFiles/Makefile2:1027: sdk/libgui/CMakeFiles/libgui.dir/all] Error 2
make: ** [Makefile:152: all] Error 2

OUTPUT
OUTPUT[ 29%] Automatic MOC for target libcore
[ 29%] Built target libcore_autogen

[ 29%] Built target libcore

[ 29%)] Automatic MOC for target libshell

[ 29%] Built target libshell_autogen

[ 29%)] Buiilt target libshell

[ 29%)] Automatic MOC for target liblegacy

[ 29%] Built target liblegacy_autogen

[ 29%)] Built target liblegacy

[ 29%] Buiilt target assimp

[ 29%)] Automatic MOC for target libgui

[ 29%)] Built target libgui_autogen

[ 29%] Building CXX object sdk/libgui/CMakeFiles/libgui.dir/libgui_autogen/mocs_compilation.cpp.o

so it to me looks like it cant find the openGL verions it needs on the Pi4

#3 - 2021-07-12 12:09 - skyjake

| did some closer investigating using my Raspi 400 (Raspberry Pi OS 32-bit) trying to build Doomsday 2.0.3.

It's bad news, though: looks like the OpenGL 2.1 compatibility profile API is not available via the provided Qt 5 packages, and those are required for
OpenGL in Doomsday 2.0.3. glxinfo shows that the Mesa OpenGL implementation does support version 2.1, but apparently it hasn't been included in
the build of Qt 5.

| also couldn't locate OpenGL headers newer than 1.4 and had to supply those manually.

The bottom line is that in order to run on Raspberry Pi, Doomsday needs to support OpenGL ES, since that's what is preferred on ARM-based
platforms.

The latest status in the master branch (Doomsday 3.0) is that I've switched away from Qt entirely, which sidesteps this issue, but there OpenGL 3.3 is
required, so this will not help either. Work on OpenGL ES support is underway, though.

#4 - 2021-07-12 12:09 - skyjake

- Status changed from New to Closed
#5 - 2021-07-13 16:21 - ExarkunlV
thank you for looking in to that, its a bummer for sure.

i belive there is talk and news about the pi getting OpenGL 3.x or something. so maybe if it gets in the main stream, but who knows when that will be.
so ill just keep my eye on that for something down the road....way down the road. lol

again
thank you for your time
